# PluginInterface2.h File Reference

RakNet's plugin functionality system, version 2. You can derive from this to create your own plugins. More...

`#include "RakNetTypes.h"`
`#include "Export.h"`
`#include "PacketPriority.h"`

## Classes

class | PluginInterface2

PluginInterface2 provides a mechanism to add functionality in a modular way. MessageHandlers should derive from PluginInterface and be attached to RakPeer using the function AttachPlugin On a user call to Receive, OnReceive is called for every PluginInterface, which can then take action based on the message passed to it. This is used to transparently add game-independent functional modules, similar to browser plugins. More...

## Detailed Description

RakNet's plugin functionality system, version 2. You can derive from this to create your own plugins.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.